using System;
using System.Collections.Generic;
using System.Text;

namespace NBearMapping
{
    public class CustomObjectMemberGetter : IMemberGetter
    {
        private Type objType;

        internal CustomObjectMemberGetter(Type objType)
        {
            this.objType = objType;
        }

        #region IMemberGetter Members

        public List<ObjectMember> GetMembers(object targetObj)
        {
            Check.Require(targetObj != null, "targetObj could not be null.");

            return CustomObjectMemberHandlerCache.GetMemberGetter(objType)(targetObj);
        }

        #endregion
    }
}
